/*******************************************************************************
 * Copyright (c) 2004 Actuate Corporation.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * https://www.eclipse.org/legal/epl-2.0/.
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 *
 * Contributors:
 *  Actuate Corporation  - initial API and implementation
 *******************************************************************************/
package org.eclipse.birt.core.i18n;

/**
 * Define resource key constants for need be localized resource.
 */
public class ResourceConstants {
	public final static String INVALID_EXPRESSION = "INVALID_EXPRSSION";

	public final static String INVALID_TYPE = "INVALID_TYPE";
	public final static String CONVERT_FAILS = "CONVERT_FAILS";
	public final static String JAVASCRIPT_ERROR = "birt.core.JavascriptError";
	public final static String JAVASCRIPT_COMMON_ERROR = "birt.core.JavascriptCommonError";
	public final static String JAVASCRIPT_PARAMETER_NOT_EXIST = "birt.core.Javascript.parameterNotExist";
	public final static String JAVASCRIPT_VARIABLE_NOT_EXIST = "birt.core.Javascript.variableNotExist";
	public final static String JAVASCRIPT_NATIVE_NOT_FOUND = "birt.core.Javascript.nativeNotFound";
	public final static String CREATE_EXTENSION_FAIL = "CREATE_EXTENSION_FAIL";
	public final static String INVALID_REGULAR_EXPRESSION = "birt.core.BirtComp.invalidRegularExpression";

	public final static String NO_SUCH_SCRIPT_EXTENSION = "error.NoSuchScriptExtension";
	public final static String INVALID_SEEK_OFFSET = "error.InvalidSeekOffset";
	public final static String EXCEED_FILE_LENGTH = "error.ExceedFileLength";
	public final static String CANNOT_CHANGE_READONLY_BUFFER = "error.CanotchangeReadOnlyBuffer";
	public final static String FILE_IN_READONLY_MODE = "error.FileOpenedInReadOnlyMode";
	public final static String FILE_HAS_BEEN_CLOSED = "error.FileHasBeenClosed";
	public final static String UNPARSEABLE_STRING = "error.UnparseableString";
	public final static String CANNOT_STARTUP_OSGI_PLATFORM = "error.CannotStartupOSGIPlatform";
	public final static String UNSUPPORTED_FILE_MODE = "error.UnsupportedFileMode";
	public final static String FOLDER_NAME_IS_NULL = "error.FolderNameIsNull";
	public final static String FILE_NAME_IS_NULL = "error.FileNameIsNull";
	public final static String NOT_EXT2_ARCHIVE = "error.NotExt2Archive";
	public final static String READ_ONLY_ARCHIVE = "error.ReadOnlyArchive";
	public final static String UNSUPPORTED_ARCHIVE_VERSION = "error.UnsupportedArchiveVersion";
	public final static String UNSUPPORTED_BLOCK_SIZE = "error.UnsupportedBlockSize";
	public final static String INVALID_INDEX = "error.InvalidIndex";
	public final static String NOT_COMPOUND_FILE = "error.NotCompoundFile";
	public final static String UNEXPECTED_NODE_TYPE = "error.UnsupportedNodeType";
	public final static String NOT_SERIALIZABLE = "error.NotSerializable";
	public final static String UNSUPPORTED_DATA_TYPE = "error.UnsupportedDataType";
	public final static String INVALID_LOCK_TYPE = "error.InvalidLockType";
	public final static String ARCHIVE_OPEN_FOR_WRITE = "error.ArchiveOpenForWrite";
	public final static String EXCEED_MAX_BLOCK_SIZE = "error.ExceedMaxBlockSize";
	public final static String INVALID_ARCHIVE_NAME = "error.InvalidArchiveName";
	public static final String NULL_SOURCE = "error.NullSource";
	public static final String OUT_OF_RANGE = "error.OutOfRange";
	public static final String READ_ONLY_TREE = "error.ReadOnlyTree";
	public static final String CANNOT_LOAD_NODE = "error.CannotLoadNode";
	public static final String KEY_SIZE_ERROR = "error.KeySizeError";
	public static final String MISMATCH_KEY_LENGTH = "error.MismatchKeyLength";
	public static final String Value_SIZE_ERROR = "error.ValueSizeError";
	public static final String MISMATCH_VALUE_LENGTH = "error.MismatchValueLength";
	public static final String INVALID_MAGIC_TAG = "error.InvaldMagicTag";
	public static final String UNSUPPORTED_VERSION = "error.UnsupportedVersion";
	public static final String INVALID_CURSOR = "error.InvalidCursor";
	public static final String CURSOR_NOT_INITIALIZED = "error.CusorNotInitialized";
	public static final String UNEXPECTED_EQUAL_KEYS = "error.UnexpectedEqualKeys";
	public static final String UNKNOWN_VALUE_TYPE = "error.UnknownValueType";
	public static final String EXCEED_MAX_BLOCK = "error.ExceedMaxBlock";
	public static final String NOT_SUPPORTED_SERIALIZABLE = "error.NotSupportedSerializable";
	public static final String MALFORMED_INPUT_ERROR = "error.MalformedInputError";
	public static final String MALFORMED_INPUT_AROUND_BYTE = "error.MalformedInputAroundByte";
}
